local gc = Var("GameCommand");

return Def.ActorFrame {
	LoadFont("_shared4") .. {
		Text=gc:GetText();
		InitCommand=cmd(uppercase,true;shadowlength,1);
		OnCommand=cmd();
		GainFocusCommand=cmd(stoptweening;linear,0.1;zoom,1.3;diffuseshift;effectcolor1,color("#f0ff00");effectcolor2,color("#6f7509");effectperiod,0.4);
		LoseFocusCommand=cmd(stopeffect;linear,0.1;zoom,1.0;diffuse,color("1,1,1,1"));
	};
	
};